# SPDX-FileCopyrightText: Copyright (c) 2023-2025, Linaro Limited.
#
# SPDX-FileCopyrightText: <text>Copyright 2022-2024 Arm Limited and/or its
# affiliates <open-source-office@arm.com></text>
#
# SPDX-License-Identifier: MIT

---
header:
  version: 14

env:
  FVP_CORSTONE1000_EULA_ACCEPT: "True"
  CI_BUILD: "True"

local_conf_header:
  ci: |
    INHERIT += "rm_work"
    IMAGE_FEATURES:append:firmware = " debug-tweaks"
  cassini-growfs: |
    DISTRO_FEATURES:append:cassini = " ${@bb.utils.contains(\
      'MACHINE', 'corstone1000-fvp', '', "${@bb.utils.contains(\
      'VIRTUAL-RUNTIME_ota_update', 'mender-ota', '',\
      'cassini-growfs', d)}", d)}"
